> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# 通义万相2.2

通义万相2.2视频生成模型支持文字生成视频、图片生成视频（基于首帧或首尾帧）新视频等多种模式：wan2.2-t2v-plus支持通过文本描述生成指定规格的视频内容，默认生成无声视频，
wan2.2-i2v-flash是万相2.2极速版，极致生成速度，在画面细节表现、运动稳定性方面均有显著提升。wan2.2-i2v-plus是万相2.2专业版，指令理解更精准，运镜可控，画面元素保持一致，稳定性与成功率全面提升，生成内容更丰富。

### 模型参数

* 模型ID：`wan2.2-t2v-plus`/`wan2.2-i2v-plus`/`wan2.2-i2v-flash`
* 模型价格：你可以在[模型广场](https://geekai.co/models?platform=dashscope\&type=video)查看最新价格信息
* 调用入口：`https://geekai.co/api/v1/videos/generations`
* 模型参数：参考[视频 API 手册](https://docs.geekai.co/cn/api/video/generations)
* API认证：[获取 API KEY](https://docs.geekai.co/cn/docs/quick_start)

<Note>
  不支持视频 API 中的以下参数：

  * `with_audio`
  * `aspect_ratio`
  * `quality`
  * `fps`

  附：[万相2.2 官方 API 文档](https://help.aliyun.com/zh/model-studio/use-video-generation)
</Note>

指定生成的视频分辨率可通过`size`参数，格式为宽x高,具体参考值同万相2.1

### 文生视频

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"wan2.2-t2v-plus",
    "prompt":"一只小猫在月光下奔跑",
    "negative_prompt": "花朵",
    "size": "832x480"
}'
```

响应是一个 JSON 对象，包含生成视频的 URL：

```json theme={null}
{
    "model": "wan2.2-t2v-plus",
    "task_id": "0041c0cc-cdb8-4788-a470-c06d4978839c",
    "task_status": "succeed",
    "video_result": [
        {
            "id": "6d13a8d7-a528-4ad9-a81a-0be8c3aafc48",
            "url": "https://static.geekai.co/video/2026/02/05/66ae7c0d2cab719e37e79a65c5e9be52.mp4"
        }
    ]
}
```

下面图生视频生成响应结构是一样的，不再列举。

### 图生视频

**首帧**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"wan2.2-i2v-plus",
    "prompt":"一只小猫在月光下奔跑",
    "image":  "https://cdn.translate.alibaba.com/r/wanx-demo-1.png",
    "resolution": "480P"
}'
```

<Note>`wan2.2-i2v-plus`：`resolution`可选值：480P、1080P, `wan2.2-i2v-flash`：`resolution`可选值：480P、720P、1080P，调用同`wan2.2-i2v-plus`
同样也支持 Base64 编码数据，只需在`image`填入即可</Note>

**首尾帧**

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model":"wan2.2-kf2v-flash",
    "prompt": "写实风格，一只黑色小猫好奇地看向天空，镜头从平视逐渐上升，最后俯拍它的好奇的眼神。",
    "image":"https://wanx.alicdn.com/material/20250318/first_frame.png",
    "image_tail":"https://wanx.alicdn.com/material/20250318/last_frame.png",
    "resolution": "720P"
}'
```

<Note>`wan2.2-kf2v-flash`：`resolution`可选值：480P、720P、1080P, 同样也支持 Base64 编码数据</Note>
